Retrieve promocodes
curl --request GET \
--url https://api.spacebring.com/discounts/v1/promocodes \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/discounts/v1/promocodes"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/discounts/v1/promocodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"promocodes": [
{
"code": "<string>",
"couponRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createDate": "2023-11-07T05:31:56Z",
"expiration": {
"enabled": true,
"date": "2023-11-07T05:31:56Z"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"limitByFirstPurchase": true,
"limitedRedemption": {
"enabled": true,
"usage": 123,
"value": 123
},
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archiveDate": "2023-11-07T05:31:56Z"
}
]
}{
"message": "<string>",
"type": "<string>"
}Discounts
Retrieve promocodes
Retrieve all promocodes.
OAuth
Required scopes:invoices.readonly or invoicesGET
/
discounts
/
v1
/
promocodes
Retrieve promocodes
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Query Parameters
The id of the location. At least one of locationRef or couponRef is required
The id of the coupon. At least one of locationRef or couponRef is required
Response
Success
Show child attributes
Show child attributes
Was this page helpful?
⌘I